<?php 
/*------------------------------------------------------------------------
# mod_jo_newslider - JO News Slider for Joomla 1.6, 1.7, 2.5 Module
# -----------------------------------------------------------------------
# author: http://www.joomcore.com
# copyright Copyright (C) 2012 Joomcore.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.joomcore.com
# Technical Support:  Forum - http://www.joomcore.com/Support
-------------------------------------------------------------------------*/

//No direct access
defined('_JEXEC') or die('Restricted access');
$jquery = JURI::root().'modules/mod_jo_vm_products_slideshow/javascript/jquery.js';
$jquery_eas = JURI::root().'modules/mod_jo_vm_products_slideshow/javascript/jquery.easing.js';
$script = JURI::root().'modules/mod_jo_vm_products_slideshow/javascript/script.js';
?>
<?php 
if($params->get("loadjquery")==1){
?>
<script type="text/javascript" src="<?php echo $jquery;?>"></script>
<?php 
}
?>
<script type="text/javascript" src="<?php echo $jquery_eas;?>"></script>
<script type="text/javascript" src="<?php echo $script;?>"></script>

<div id="jo-vm-slider" class="jo-vm-slider" style="width: <?php echo intval(trim($params->get('sliderWidth'))).'px'; ?>; height: <?php echo intval(trim($params->get('sliderHeight'))).'px'; ?>">
	<div class="preload"><div></div></div>
	<div id="main-slider-content" class="main-slider-content<?php //echo $params->get( 'moduleclass_sfx' ) ?>" style="width: <?php echo intval(trim($params->get('sliderWidth'))).'px'; ?>; height: <?php echo intval(trim($params->get('sliderHeight'))).'px'; ?>">
		<!-- MAIN CONTENT --> 
		<div class="sliders-wrapper" style="width: <?php echo intval(trim($params->get('sliderWidth'))).'px'; ?>;">
			<ul class="sliders-wrap-inner">
				<?php foreach ($products as $product) : ?>
				<li>
					<?php
					if (!empty($product->images[0]) ){
						$image = $product->images[0]->displayMediaThumb('class="product-image" border="0"',false) ;
					} else {
						$image = '';
					}
					echo  '<div class="product-image">'.$image.'</div>';
					$url = JRoute::_('index.php?option=com_virtuemart&view=productdetails&virtuemart_product_id='.$product->virtuemart_product_id.'&virtuemart_category_id='.$product->virtuemart_category_id); ?>		
					<div class="slider-description">
						<p><a class="product-name" href="<?php echo $url; ?>"><?php echo $product->product_name; ?></a></p>
						<?php
						if ($show_price) {
						//	echo $currency->priceDisplay($product->prices['salesPrice']);
							if (!empty($product->prices['salesPrice'] ) ) echo '<p><span class="product-price">'.$currency->createPriceDiv('salesPrice','',$product->prices,true).'</span></p>';
						//	if ($product->prices['salesPriceWithDiscount']>0) echo $currency->priceDisplay($product->prices['salesPriceWithDiscount']);
							if (!empty($product->prices['salesPriceWithDiscount']) ) echo '<p><span class="product-price">'.$currency->createPriceDiv('salesPriceWithDiscount','',$product->prices,true).'</span></p>';
						}
						if ($show_s_desc) { 
							echo "<p class=\"product_s_desc\">".$product->product_s_desc."</p>"; 
						}
						if ($show_readmore) {
							echo JHTML::link($product->link, JText::_('COM_VIRTUEMART_PRODUCT_DETAILS'), array('title' => $product->product_name,'class' => 'product-details'));
						}
						?>
					</div>
				</li>
				<?php endforeach; ?>
			</ul>
		</div>
	</div>
	<!-- END MAIN CONTENT -->
	<!-- NAVIGATOR -->
	<div class="navigator-content">
		<div class="next-prev button-next">Next</div>
		<div class="navigator-wrapper">
			<ul class="navigator-wrap-inner">
				<?php foreach ($products as $product) : ?>
				<li>
					<div class="nav-thumb">
						<?php
							if (!empty($product->images[0]) ) {
								$image = $product->images[0]->displayMediaThumb('class="product-image" border="0"',false) ;
							} else { 
								$image = '';
							}
							echo $image;
						?>
					</div>	
				</li>
				<?php endforeach; ?>
			</ul>
		</div>
		<div  class="next-prev button-previous">Previous</div>
	</div>
	<!-- END NAVIGATOR -->
	<!-- BUTTON PLAY-STOP -->
	<div class="button-control"><span></span></div>
	<!-- END OF BUTTON PLAY-STOP -->
</div>
<script type="text/javascript" charset="utf-8">
<!--
	
	jQuery(document).ready(function($){
		// buttons for next and previous item						 
		var buttons = { 
			previous:$('#jo-vm-slider .button-previous') ,
			next:$('#jo-vm-slider .button-next') 
		};			
		$('#jo-vm-slider').lofJSidernews( { interval : 4000,
			direction		: 'opacitys',	
			easing			: 'easeInOutExpo',
			duration		: <?php echo intval(trim($params->get('duration'))); ?>,
			auto		 	: <?php echo $params->get('autoPlay'); ?>,
			maxItemDisplay  : <?php echo intval(trim($params->get('NAVmaxItemDisplay'))); ?>,
			navPosition     : 'horizontal', // horizontal
			navigatorHeight : <?php echo intval(trim($params->get('navigatorHeight'))); ?>,
			navigatorWidth  : <?php echo intval(trim($params->get('navigatorWidth'))); ?>,
			mainWidth		: <?php echo intval(trim($params->get('sliderWidth'))); ?>,
			buttons			: buttons 
		} );
		var navNextPrev = $('div.next-prev').height();
		$('div.next-prev').css({
			marginTop: <?php echo intval(trim($params->get('navigatorHeight')/2)); ?> - navNextPrev/2
		});
	});
-->
</script>
